<?php

/**
 * @file
 * Comment Bonus API Admin Settings
 */

/**
 * Form function for settings
 *
 * @return
 *   The newly built form
 */
function comment_bonus_api_settings() {
  $form = array();

  $form['comment_bonus_api_render_settings'] = array(
    '#type'             => 'fieldset',
    '#title'            => t('Comment Bonus API Render Settings'),
    '#description'      => t('Disabling checkboxes will stop the comments from being rendered in node_show(). This will remove them from the $content variable for node templates. See <a href="http://drupal.org/node/122240">this thread</a> for more. Essentially, if you disable these checkboxes your comments go away and you must render them manually in your node templates or elsewhere.'),
  );

  // One checkbox for each node type
  foreach (node_get_types('types') as $node_type) {
    $form["comment_bonus_api_render_settings"]["comment_bonus_api_render_comments_" . $node_type->type] = array(
      '#type'           => 'checkbox',
      '#title'          => t('Enable rendering for node type: @type', array('@type' => $node_type->name)),
      '#default_value'  => variable_get("comment_bonus_api_render_comments_" . $node_type->type, TRUE),
    );
  }

  return system_settings_form($form);
}
